Retrieve a registered holder application instance
Retrieves a registered instance of a holder application.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>holderApplicationId*stringUnique identifier for a registered holder application.
uuidinstanceId*stringUnique identifier for an instance of a registered holder application.
uuidHolder application instance retrieved
application/json- response
Holder application instance response.
id?stringUnique identifier corresponding to the registered holder application instance.
appAttestationType?stringThe type of attestation used during registration of the holder application instance.
"none""app_attestation""key_attestation"registeredAt?stringTimestamp indicating when the holder application instance was registered.
date-timelicenseExpiresAt?stringTimestamp indicating when the license for the holder application instance expires.
date-timelastAttestedAt?stringTimestamp indicating when the holder application instance was last attested.
date-timeexternalReferenceId?stringOptional external reference identifier associated with the holder application instance.
deviceDetails?Details about the device on which the holder application instance is registered.
sdkDetails?Details about the SDK used by the holder application instance.
curl -X GET 'https://example.vii.au01.mattr.global/v1/holder/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7/instances/1ef1f867-20b4-48ea-aec1-bea7aff4964c'{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "appAttestationType": "key_attestation", "registeredAt": "2023-10-05T14:48:00.000Z", "licenseExpiresAt": "2024-10-05T14:48:00.000Z", "lastAttestedAt": "2023-12-01T10:30:00.000Z", "externalReferenceId": "external-ref-12345", "deviceDetails": { "deviceModel": "iPhone 12", "deviceMake": "Apple", "osVersion": "iOS 14.4" }, "sdkDetails": { "sdkVersion": "1.2.3" }}How would you rate this page?
Retrieve all registered holder application instances GET
Retrieves all registered instances of a holder application. This can be used by application owners to view all registered instances for a given holder application.
Delete a registered holder application instance DELETE
Deletes a registered instance of a holder application. Deleted instances will no longer be able to interact with the platform or receive tokens, and any existing tokens will be revoked. Application owners can use this endpoint to remove individual instances that are no longer needed or were registered by mistake, without affecting the entire holder application or its other instances. This is useful for cleaning up test instances or managing specific devices, rather than deleting the whole application and all its associated instances.